io.vertx.rxjava.ext.web.handler

## Class CookieHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.CookieHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class CookieHandler
      extends Object
      implements Handler<RoutingContext>

  A handler which decodes cookies from the request, makes them available in the and writes them back in the response. Since 3.8.1 this handler simply calls the next request handler. This handler will be removed in Vert.x 4.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<CookieHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CookieHandler(CookieHandler delegate)`
    `CookieHandler(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CookieHandler` | `create()` Deprecated.
    `boolean` | `equals(Object o)`
    `CookieHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Deprecated.
    `int` | `hashCode()`
    `static CookieHandler` | `newInstance(CookieHandler arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<CookieHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### CookieHandler

          public CookieHandler(CookieHandler delegate)

    - #### CookieHandler

          public CookieHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public CookieHandler getDelegate()

    - #### handle

          @Deprecated
          public void handle(RoutingContext event)

      Deprecated.
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### create

          @Deprecated
          public static CookieHandler create()

      Deprecated.
      Create a cookie handler
      Returns:
        the cookie handler

    - #### newInstance

          public static CookieHandler newInstance(CookieHandler arg)

Copyright © 2022 Eclipse. All rights reserved.